#ifndef KEYS_H
#define KEYS_H

#include "raylib.h"

typedef enum KeyControl {
    KC_UP = 0,
    KC_DOWN,
    KC_LEFT,
    KC_RIGHT,
    KC_SHOOT,
    KC_FREECAM,
    KC_CROUCH,
    KC_COUNT,
} KeyControl;

void change_layout_azerty();

void change_layout_qwerty();

int key_down(KeyControl key);

int key_pressed(KeyControl key);

#endif // KEYS_H
